VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Functions
ivsthostapplication.h File Reference
`#include "pluginterfaces/vst/ivstmessage.h"`

## Classes
class | IHostApplication
| Basic host callback interface: Vst::IHostApplication. More...
class | IVst3ToVst2Wrapper
| VST 3 to VST 2 Wrapper interface: Vst::IVst3ToVst2Wrapper. More...
class | IVst3ToAUWrapper
| VST 3 to AU Wrapper interface: Vst::IVst3ToAUWrapper. More...
class | IVst3ToAAXWrapper
| VST 3 to AAX Wrapper interface: Vst::IVst3ToAAXWrapper. More...
class | IVst3WrapperMPESupport
| Wrapper MPE Support interface: Vst::IVst3WrapperMPESupport. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.

## Functions
IMessage * | allocateMessage (IHostApplication *host)
| Helper to allocate a message.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.